<template>
  <a-select
    show-search
    :value="selectValue"
    :options="allList"
    placeholder="选择行业"
    @change="changeFunc"
  />
</template>
<script lang="ts" setup>
import { defineProps, defineEmits, computed } from 'vue'
import allList from './yspayMccWx.json'

// 定义组件的传入参数 
const props = defineProps({
    value: { type: String, default: '' }
})

// emit： 向父组件进行通讯。 
const emit = defineEmits(['update:value', 'change'])

// 计算属性 
const selectValue = computed(() => {
   if (props.value){
    return props.value.split('_')
  }
  return null
})

// 当属性发生了变化， 需要通过函数向父组件通信 --》 父组件再通知子组件进行数据的变化。 
function changeFunc(value, selectedOptions){
    emit('change', selectedOptions)
    emit('update:value', value)
}

</script>

